<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Social Engineering|Campaign Components|E-mail">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="While attempting to send e-mail, you may encounter some errors that prevent you from successfully delivering e-mail. " /><title>Common Mail Server Errors</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#11-social-engineering/common-mail-server-errors.html">Open topic with navigation</a>
        </p>
        <h3>Common Mail Server Errors</h3>
        <p>While attempting to send e-mail, you may encounter some errors that prevent you from successfully delivering e-mail. If you are having problems getting your <a name="kanchor158"></a>mail server to deliver mail, please go to the task log and search for any text highlighted in red or any text tagged as an error. You can use the error message to help troubleshoot the issue. </p>
        <h4>No Valid Recipients</h4>
        <p>This error indicates that the domain you are trying to spoof does not match the originating IP address for a reverse DNS lookup. 

</p>
        <p>To workaround this issue:
</p>
        <ul>
            <li value="1">You can disable reverse DNS lookup on the mail server. 
</li>
            <li value="2">You can set up a proxy or IP address that enables the phishing e-mail to act as if it were coming from a legitimate origin.</li>
        </ul>
        <h4>The Server Refused Our Mail</h4>
        <p>This error indicates that the mail server has flagged the e-mail as spam and has refused to deliver the e-mail.

</p>
        <p>To work around this issue: </p>
        <ul>
            <li value="1">
You can lower your mail server’s security level for unknown and untrusted senders, and you can lower your mail server’s security level for spam.</li>
            <li value="2"> 
You can utilize an e-mail relay service, such as Sendgrid, JangoSMTP, or Mandrill. These e-mail services provide its users the ability to configure the level of security that is enforced on outgoing mail and the ability to send bulk mail. Additionally, these e-mail relay services are more likely to reliably deliver e-mail successfully. However, before you decide to use an e-mail relay service, please check the terms of service agreement to verify that the provider will not blacklist your e-mails if they are classified as spam.       <![CDATA[

]]></li>
        </ul>
        <h4>Sender E-mail Address Does Not Match with the User Account</h4>
        <p>This error most likely results from a reverse DNS lookup that determined that the IP address of the e-mail did not match the host name that it is trying to spoof. 

</p>
        <p>To workaround this issue:
</p>
        <ul>
            <li value="1">You can disable reverse DNS lookup. 
</li>
            <li value="2">You can set up a proxy or IP address that enables the phishing e-mail to act as if it were coming from a legitimate origin. 
</li>
            <li value="3">You can set up a local SMTP server on the server that runs <span class="VariablesProductName">Metasploit Pro</span>. On Linux machines, you can use SendMail or Postfix. 
You can utilize an e-mail relay service, such as Sendgrid, JangoSMTP, or Mandrill. </li>
        </ul>
        <h4>The Server Has Encountered a Bad Sequence of Commands</h4>
        <p>This is a general error that you may see when the e-mail server is unable to deliver e-mail. Usually, this error is followed by an additional series of messages that you can use to troubleshoot the error. </p>
        <p>

For example, you should look for the following errors:</p>
        <ul>
            <li value="1">
Sender e-mail address does not match with the user account. </li>
            <li value="2">
The server refused our mail.</li>
            <li value="3"> 
No valid recipients. </li>
        </ul>
    </body>
</html>